<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                modulo de información fisica en modo lectura
@cu 			CU-AV-O-01
@modified 		pedro.garcia
                1. adición de parámetro que define el managed bean y el atributo 
                dentro del mismo que se usa como fuente de los datos mostrados
                2. cambio del rendered del panelGrid principal para que sea pasado 
                como parámetro
@param 			managedBeanParam: 	nombre del managed bean
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="6" cellspacing="8"
             columnClasses="colMediana, colPequena, colMediana, colPequena, colMediana, colPequena">

    <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.departamento.nombre}" />

    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.municipio.nombre}" />

    <p:spacer />
    <p:spacer />

    <h:outputLabel value="Tipo de inmueble:" styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.tipoInmueble}" />
    <h:outputText id="OfertaTipoInmuebleVL" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.tipoInmueble}"
                  rendered="#{not empty ofertaInmobiliariaParam.tipoInmueble}">
        <f:converter converterId="converterCB" for="OfertaTipoInmuebleVL" />
    </h:outputText>

    <h:outputLabel value="Tipo de predio:" styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.tipoPredio}" />
    <h:outputText id="OfertaTipoPredioVL" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.tipoPredio}"
                  rendered="#{not empty ofertaInmobiliariaParam.tipoPredio}">
        <f:converter converterId="converterCB" for="OfertaTipoPredioVL" />
    </h:outputText>

    <h:outputLabel value="Sector: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.sector}" />
    <h:outputText value="#{ofertaInmobiliariaParam.sector}"
                  styleClass="outputTextStyle"
                  rendered="#{not empty ofertaInmobiliariaParam.sector}" />

    <h:outputLabel value="Barrio / vereda: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.nombreBarrio}" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.nombreBarrio}"
                  rendered="#{not empty ofertaInmobiliariaParam.nombreBarrio}" />

    <h:outputLabel value="Ubicación en manzana:"
                   styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.ubicacionManzana}" />
    <h:outputText id="OfertaUbicacionManzanaVL"
                  styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.ubicacionManzana}"
                  rendered="#{not empty ofertaInmobiliariaParam.ubicacionManzana}">
        <f:converter converterId="converterCB" for="OfertaUbicacionManzanaVL" />
    </h:outputText>

    <h:outputLabel value="Dirección: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.direccion}" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.direccion}"
                  rendered="#{not empty ofertaInmobiliariaParam.direccion}" />

    <h:outputLabel value="Estrato:" styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.estratoSocioeconomico}" />
    <h:outputText id="OfertaEstratoSocioecoVL" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.estratoSocioeconomico}"
                  rendered="#{not empty ofertaInmobiliariaParam.estratoSocioeconomico}">
        <f:converter converterId="converterCB" for="OfertaEstratoSocioecoVL" />
    </h:outputText>

    <h:outputLabel value="Condición jurídica: "
                   styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.condicionJuridica}" />
    <h:outputText id="OfertaCondicionJuridicaVL"
                  styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.condicionJuridica}"
                  rendered="#{not empty ofertaInmobiliariaParam.condicionJuridica}">
        <f:converter converterId="converterCB" for="OfertaCondicionJuridicaVL" />
    </h:outputText>

    <h:outputLabel value="Destino: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.destino}" />
    <h:outputText styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.destino}"
                  rendered="#{not empty ofertaInmobiliariaParam.destino}" />

    <h:outputLabel value="Vetustez: " styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.vetustez and !registroOfertaInmob.banderaOfertaNueva}" />
    <h:outputText id="OfertaVetustezVL" styleClass="outputTextStyle"
                  value="#{ofertaInmobiliariaParam.vetustez}"
                  rendered="#{not empty ofertaInmobiliariaParam.vetustez and !registroOfertaInmob.banderaOfertaNueva}">
        <f:converter converterId="converterCB" for="OfertaVetustezVL" />
    </h:outputText>

    <h:outputLabel value="Predios de la oferta: "
                   styleClass="outputLabelStyle"
                   rendered="#{not empty ofertaInmobiliariaParam.ofertaPredios}" />
    <p:dataList var="predio"
                value="#{ofertaInmobiliariaParam.ofertaPredios}"
                rendered="#{not empty ofertaInmobiliariaParam.ofertaPredios}">
        #{predio.numeroPredial}
    </p:dataList>

</h:panelGrid>
